Browse the persona library
GET
/
v1
/
library
/
personas
Browse the persona library
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/library/personas \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/library/personas"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/library/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"body": "<string>",
"traits": {},
"behavior_config": {
"first_speaker": "persona",
"cut_in": {
"min_words": 10,
"min_duration_ms": 5000,
"backoff_ms": 1000
},
"language": "<string>",
"background_noise": "none",
"background_noise_volume": 0.3,
"wait_seconds": 0,
"yield_on_overlap": {
"after_words": 2,
"after_seconds": 0.5
},
"interruption_mode": "off",
"backchannel_style": "neutral",
"backchannel_overrides": [
"<string>"
],
"reaction_pause_ms_min": 200,
"reaction_pause_ms_max": 500,
"text_burst": {
"enabled": false,
"policy": "live"
}
},
"tags": [
"<string>"
],
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Required range:
1 <= x <= 200Was this page helpful?
⌘I
Browse the persona library
